Name: 		libdvdnav
Version: 	0.1.3
Release: 	gst.1
Summary: 	A library for reading DVD video discs based on Ogle code.

Group: 		System Environment/Libraries
License: 	GPL
URL: 		http://dvd.sourceforge.net/
Vendor:         GStreamer Backpackers Team <package@gstreamer.net>
Source:		http://belnet.dl.sourceforge.net/sourceforge/dvd/%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-root

Prereq:		/sbin/ldconfig
Requires:	libdvdread
BuildRequires:	libdvdread-devel

%description
libdvdnav provides a simple library for reading DVD video discs.
The code is based on Ogle and used in, among others, the Xine dvdnav plug-in.

%package devel
Summary: 	libdvdnav development files and static libraries.
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires:	libdvdread-devel

%description devel
libdvdnav-devel contains the files necessary to build packages that use the
libdvdnav library.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared --enable-static
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

# this is a silly hack because libdvdnav's configure doesn't detect the
# aclocal dir properly
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/aclocal
mv $RPM_BUILD_ROOT/usr/local/share/aclocal/dvdnav.m4 \
   $RPM_BUILD_ROOT/%{_datadir}/aclocal

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README TODO
%{_libdir}/libdvdnav.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/dvdnav-config
%{_includedir}/dvdnav/*.h
%{_libdir}/libdvdnav.a
%{_libdir}/libdvdnav.so
%{_datadir}/aclocal/dvdnav.m4

%changelog
* Sun Sep 08 2002 Thomas Vander Stichele <thomas@apestaart.org>
- first spec file
