Name:		perl-File-PathConvert
Version:	0.9
Release:	2
Summary:	Perl conversion between paths.
%define		perlname	File-PathConvert

Group:		Applications/CPAN
License:	GPL
URL:		http://search.cpan.org/dist/%{perlname}
Packager:	Thomas Vander Stichele <thomas@apestaart.org>
Source:		http://search.cpan.org/CPAN/authors/id/R/RB/RBS/%{perlname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-root

Requires:	perl

BuildRequires:	perl

%description
File::PathConvert provides functions to convert between absolute and 
relative paths, and from logical paths to physical paths on a variety 
of filesystems, including the URL 'filesystem'.

DEPRECATED: USE File::Spec and Cwd::abs_path().
(packaged because SGI::FAM depends on it)

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n %{perlname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
# perl changed some semantics for passing PREFIX
make PREFIX=$RPM_BUILD_ROOT/usr install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print
find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Wed Oct 16 2002 Thomas Vander Stichele <thomas@apestaart.org>
- updated for Red Hat 8.0

* Wed Oct 16 2002 Thomas Vander Stichele <thomas@apestaart.org>
- removed packlist stuff

* Tue Sep 10 2002 Thomas Vander Stichele <thomas@apestaart.org>
- first draft


