%define		perlname 	Log-Logger
Name:		perl-%{perlname}
Version:	1.01
Release:	2
Summary:	Perl OO interface to user-defined logfile

Group:		Applications/CPAN
License:	GPL
URL:		http://search.cpan.org/dist/%{perlname}/
Packager:	Thomas Vander Stichele <thomas@apestaart.org>
Source:		http://search.cpan.org/CPAN/authors/id/J/JL/JLBEC/%{perlname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-root

Requires:	perl

BuildRequires:	perl

%description
Perl OO interface to user-defined logfile.
Author: Joel Becker jlbec@ocala.cs.miami.edu 

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n %{perlname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Wed Oct 16 2002 Thomas Vander Stichele <thomas@apestaart.org>
- updated for Red Hat 8.0

* Wed Oct 09 2002 Thomas Vander Stichele <thomas@apestaart.org>
- first draft

