Name: 		ccache
Version: 	1.9
Release: 	1
Summary: 	gcc compiler cache

Group: 		Development/Languages
License: 	GPL
URL:		http://ccache.samba.org/
Source:		http://ccache.samba.org/ftp/ccache/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description 
ccache is a compiler cache. It acts as a caching pre-processor to C/C++ 
compilers, using the -E compiler switch and a hash to detect when a 
compilation can be satisfied from cache. This often results in a 5 to 10 
times speedup in common compilations.

%prep

%setup

%build
%configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

## FIXME: for some reason ccache's install doesn't make these directories
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/ccache
%{_mandir}/man1/*

%changelog
* Sun Nov 17 2002 Thomas Vander Stichele <thomas at apestaart dot org>
- Initial packaging
